#!/bin/bash

set -e

up () {
  docker network create pew-net || true

  # Exposed on port 4040 in pew-net
  docker run \
    --detach \
    --name airsonic \
    --restart unless-stopped \
    --env PUID=1000 \
    --env PGID=1000 \
    --env TZ=US/Eastern \
    --volume /bigdata/k8s-config/airsonic/config:/config:rw \
    --volume /bigdata/media/music:/media/music:ro \
    --volume /bigdata/media/playlists:/media/playlists:ro \
    --volume /bigdata/media/podcasts:/media/podcasts:ro \
    --network pew-net \
    ghcr.io/linuxserver/airsonic:v10.6.2-ls83
}

down () {
  docker stop airsonic || true
  docker rm airsonic || true
}

logs () {
  docker logs --follow airsonic
}

$@
